import { JavaObject } from '../../../java/lang/JavaObject';
export declare class SchuelerSchulbesuchSchule extends JavaObject {
    schulnummer: String;
    schulgliederung: String | null;
    entlassgrundID: Number | null;
    abschlussartID: String | null;
    organisationsFormID: String | null;
    datumVon: String | null;
    datumBis: String | null;
    jahrgangVon: String | null;
    jahrgangBis: String | null;
    constructor();
    isTranspiledInstanceOf(name: string): boolean;
    static transpilerFromJSON(json: string): SchuelerSchulbesuchSchule;
    static transpilerToJSON(obj: SchuelerSchulbesuchSchule): string;
    static transpilerToJSONPatch(obj: Partial<SchuelerSchulbesuchSchule>): string;
}
export declare function cast_de_nrw_schule_svws_core_data_schueler_SchuelerSchulbesuchSchule(obj: unknown): SchuelerSchulbesuchSchule;
